Page MenuHomePhabricator

elm_entry: Cursor disappears on calling select function in an empty entry.
ClosedPublic

Authored by shilpasingh on May 9 2017, 8:48 AM.

Details

Summary

Issue: Selection cannot happen on an empty entry, if selection functions
are called on empty entry, cursor is hidden, even if entry is focused.
Soln: Check for whether entry is empty or not before proceeding with selection.

Test Plan
  1. Call select_all, select_region_set on a focused entry
  2. You can observe cursor cannot be seen.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
shilpasingh created this revision.May 9 2017, 8:48 AM
jpeg accepted this revision.May 11 2017, 11:08 PM
This revision is now accepted and ready to land.May 11 2017, 11:08 PM
Closed by commit rEFL442ab2bc6741: elm_entry: Cursor disappears on calling select function in an empty entry. (authored by shilpasingh, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyMay 12 2017, 12:33 AM
This revision was automatically updated to reflect the committed changes.